/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:35pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\LadyLissith.cs
Lines of code: 85

Description: 

***********************************************************/


//Written By Milkman Dan 2006
//Property of DemonicRidez.com
using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a lissith corpse" )]
	public class LadyLissith : BaseCreature
	{
	
		public override WeaponAbility GetWeaponAbility()
		{
			return WeaponAbility.BleedAttack;
		}
	
		[Constructable]
		public LadyLissith () : base( AIType.AI_Super, FightMode.Closest, 18, 1, 0.2, 0.4  )
		{
			Name = "Lady Lissith";
			Body = 157;
			Hue = 1324;
			BaseSoundID = 1170;

			SetStr( 196, 220 );
			SetDex( 126, 126 );
			SetInt( 286, 310 );

			SetStam( 117, 117 );
			SetMana( 74, 74 );
			SetHits( 258, 312 );

			SetDamage( 20, 25 );

			SetDamageType( ResistanceType.Physical, 20 );
			SetDamageType( ResistanceType.Poison, 80 );

			SetResistance( ResistanceType.Physical, 50, 55 );
			SetResistance( ResistanceType.Fire, 39, 44 );
			SetResistance( ResistanceType.Cold, 33, 36 );
			SetResistance( ResistanceType.Poison, 76, 90 );
			SetResistance( ResistanceType.Energy, 36, 40 );

			SetSkill( SkillName.Anatomy, 78.3, 84.3 );
			SetSkill( SkillName.Poisoning, 117.2, 122.6 );
			SetSkill( SkillName.Meditation, 65.1, 80.0 );
			SetSkill( SkillName.MagicResist, 86.3, 90.3 );
			SetSkill( SkillName.Tactics, 104.6, 109.2 );
			SetSkill( SkillName.Wrestling, 114.0, 114.0 );

			Fame = 6500;
			Karma = -6500;

			VirtualArmor = 50;
			

		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.UltraRich, 3 );
		}
		
		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }
		
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Lethal; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool IsMLCreature { get { return true;} }
 

public override void OnDeath( Container c )
{
	if ( Utility.Random( 5 ) == 0 )
	{
		Item item;

		switch ( Utility.Random( 1 ))
		{
                        default:
			case 1: item = new LissithSilk(); break;
					}

		c.DropItem( item );
	}

	base.OnDeath( c );
}
		public LadyLissith( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();

			if ( BaseSoundID == 263 )
				BaseSoundID = 1170;
		}
	}
}